Bug 1736334 - obfs4: FTBFS in Fedora rawhide/f31
Summary: obfs4: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: obfs4
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hedayat Vatankhah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 16:59 UTC by Fedora Release Engineering
Modified: 2019-09-26 00:01 UTC (History)
2 users (show)

Fixed In Version: obfs4-0.0.11-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-26 00:01:28 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.27 KB, text/plain)
2019-08-01 16:59 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 16:59 UTC, Fedora Release Engineering
no flags Details
state.log (467 bytes, text/plain)
2019-08-01 16:59 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 16:59:30 UTC
obfs4 failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36636327


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix obfs4 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
obfs4 will be orphaned. Before branching of Fedora 32,
obfs4 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 16:59:37 UTC
Created attachment 1598323 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 16:59:39 UTC
Created attachment 1598324 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 16:59:40 UTC
Created attachment 1598325 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:08:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:07:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Update System 2019-09-17 00:26:07 UTC
FEDORA-2019-64188ab463 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-64188ab463

Comment 7 Fedora Update System 2019-09-17 00:35:43 UTC
FEDORA-2019-1b42d0adfc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b42d0adfc

Comment 8 Fedora Update System 2019-09-18 01:59:46 UTC
obfs4-0.0.11-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-64188ab463

Comment 9 Fedora Update System 2019-09-26 00:01:28 UTC
obfs4-0.0.11-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.